<template>
  <div class="subscriptions-items">
    <span class="subscriptions-items-item">
      <i :class="['icon subscriptions-items-item__icon', icon]"/>
      <span class="subscriptions-items-item__name"> {{name}} </span>
      <i
        v-if="toggle"
        class="icon close subscriptions-items-item__remove"
        @click="$emit('click')"
      />
    </span>
  </div>
</template>

<script>
  export default {
    name: 'Tab',
    props: {
      name: {
        type: String,
        default: ''
      },
      icon: {
        type: String,
        default: ''
      },
      toggle: {
        type: Boolean,
        default: true
      }
    }
  };
</script>

<style scoped lang="scss">
  .subscriptions-items {
    display: flex;
    &-item {
      position: relative;
      display: flex;
      align-items: center;
      margin: 5px;
      background: #C1EBFF;
      border-radius: 19px;
      padding: 5px 9px;

      &__icon {
        margin-right: 4px;
        color: $color-blue-navy-blue;
      }

      &__name {
        font-size: 14px;
        line-height: 18px;
        letter-spacing: 0.2px;
        color: $color-text-base;
      }

      &__remove {
        font-size: 16px;
        color: $gray-slate;
        margin-left: 6px;
        cursor: pointer;
      }
    }
  }
</style>